List available Locations

get https://app.mk.io/api/v1/locations

Listing, Sorting and Filtering Locations

This endpoint returns the list of locations.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: displayName, id, name

Filtering

The $filter query parameter allows for locations to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: cloud/name, cloud/region/name, displayName, id, name

Examples:

?$top=10 - Returns only the first 10 locations from the list.

?$orderby=name desc - Sorts locations by name in descending order.

?$filter=name eq 'descriptive name' - Returns locations that match the provided name.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of locations
kindstringOptional
The type of the resource.
valuelist of objectsLocationSchema_v1Required
A list of Locations
Show 2 propertiesHide 2 properties
metadataobjectMetadataMinimalSchemaRequired
Metadata.
Show 3 propertiesHide 3 properties
displayNamestringOptional
The display name of the resource
idstringRequiredformat: uuid
The ID of the resource
namestringOptional
The name of the resource
specobjectLocationSpecSchema_v1Required
Specification.
Show 3 propertiesHide 3 properties
cloudobjectLocationCloudSchemaOptional
Cloud.
Show 3 propertiesHide 3 properties
displayNamestringRequired
The display name of the cloud.
namestringOptional
The unique name of the cloud.
regionobjectLocationRegionSchemaOptional
Cloud region.
Show 2 propertiesHide 2 properties
displayNamestringRequired
The display name of the cloud region.
namestringOptional
The name of the cloud region (unique within the cloud).
organizationobjectOrganizationSpecSchema_v1Optional
Organization information if applicable.
Show 2 propertiesHide 2 properties
idstring or nullOptionalformat: uuid
ID of the organization.
namestringRequired
Name of the organization.
typeenumRequired
Is the location one that is usable only by your your organization?
Allowed values:SaaSDedicated

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code